<?php

namespace Drupal\postoffice\Email;

/**
 * Trait which implements the ThemeAssetsInterface.
 */
trait ThemeAssetsTrait {

  /**
   * Theme assets.
   */
  protected array $themeAssets = [];

  /**
   * Sets theme assets encountered when mail was rendered.
   */
  public function setThemeAssets(array $assets): void {
    $this->themeAssets = $assets;
  }

  /**
   * Returns theme assets encountered when mail was rendered.
   */
  public function getThemeAssets(): array {
    return $this->themeAssets;
  }

}
