<?php

namespace Drupal\postoffice_test\Email;

use Drupal\postoffice\Email\LocalizedEmailInterface;
use Drupal\postoffice\Email\ThemeAssetsInterface;
use Drupal\postoffice\Email\ThemeAssetsTrait;
use Drupal\postoffice\Email\ThemedEmailInterface;
use Symfony\Component\Mime\Email;

/**
 * Email test double.
 */
class PostofficeTestEmail extends Email implements LocalizedEmailInterface, ThemedEmailInterface, ThemeAssetsInterface {

  use ThemeAssetsTrait;

  /**
   * The language code for this message.
   */
  protected string $langcode;

  /**
   * The render array for this message.
   */
  protected array $build;

  /**
   * Creates new email test double.
   */
  public function __construct(string $langcode, array $build) {
    parent::__construct();
    $this->langcode = $langcode;
    $this->build = $build;
  }

  public function getLangcode(): string {
    return $this->langcode;
  }

  public function buildThemedEmail(): ?array {
    return $this->build;
  }

}
